org.apache.cassandra.index.sasi.disk

## Enum TokenTreeBuilder.EntryType

- java.lang.Object
- - java.lang.Enum<TokenTreeBuilder.EntryType>
  - - org.apache.cassandra.index.sasi.disk.TokenTreeBuilder.EntryType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TokenTreeBuilder.EntryType>

Enclosing interface:
  TokenTreeBuilder

    public static enum TokenTreeBuilder.EntryType
    extends java.lang.Enum<TokenTreeBuilder.EntryType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FACTORED`
`OVERFLOW`
`PACKED`
`SIMPLE`

### Method Summary

All Methods Static Methods Concrete Methods
`static TokenTreeBuilder.EntryType` `of(int ordinal)`
`static TokenTreeBuilder.EntryType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TokenTreeBuilder.EntryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SIMPLE

    public static final TokenTreeBuilder.EntryType SIMPLE

#### FACTORED

    public static final TokenTreeBuilder.EntryType FACTORED

#### PACKED

    public static final TokenTreeBuilder.EntryType PACKED

#### OVERFLOW

    public static final TokenTreeBuilder.EntryType OVERFLOW

### Method Detail

#### values

    public static TokenTreeBuilder.EntryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TokenTreeBuilder.EntryType c : TokenTreeBuilder.EntryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TokenTreeBuilder.EntryType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### of

    public static TokenTreeBuilder.EntryType of(int ordinal)